aboutsummaryrefslogtreecommitdiffstats
path: root/searx/filtron
diff options
context:
space:
mode:
Diffstat (limited to 'searx/filtron')
-rw-r--r--searx/filtron/Dockerfile11
-rwxr-xr-xsearx/filtron/run.sh7
2 files changed, 18 insertions, 0 deletions
diff --git a/searx/filtron/Dockerfile b/searx/filtron/Dockerfile
new file mode 100644
index 0000000..35bea32
--- /dev/null
+++ b/searx/filtron/Dockerfile
@@ -0,0 +1,11 @@
+FROM alpine:3.13 as builder
+RUN apk update && apk upgrade && apk add go git
+RUN git clone https://github.com/asciimoo/filtron
+RUN cd filtron && go build
+
+FROM alpine:3.13
+COPY --from=builder /filtron/filtron /usr/local/filtron/
+RUN apk --no-cache add ca-certificates \
+ && adduser -D -h /usr/local/filtron -s /bin/false filtron filtron
+USER filtron
+EXPOSE 4005
diff --git a/searx/filtron/run.sh b/searx/filtron/run.sh
new file mode 100755
index 0000000..20a1545
--- /dev/null
+++ b/searx/filtron/run.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env sh
+set -e
+set -x
+
+docker buildx create armbuilder
+docker buildx use armbuilder
+docker buildx build --push --platform linux/arm/v7,linux/arm/v8,linux/amd64 --tag bloodstalker/filtron .